summaryrefslogtreecommitdiff
path: root/script/update/blobs/inject
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-09-04 16:16:53 +0100
committerLeah Rowe <leah@libreboot.org>2023-09-04 16:16:53 +0100
commit2cbc7eea9533c6da7a4b1cbc3408066aaef85f5a (patch)
tree8c46c2fb7fc253fe991f498c0068d73fe693bee5 /script/update/blobs/inject
parent52677309c529c6cbaad5cc76b39f2b9598488ed7 (diff)
update/blobs/*: unify checking of defconfig files
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/update/blobs/inject')
-rwxr-xr-xscript/update/blobs/inject8
1 files changed, 2 insertions, 6 deletions
diff --git a/script/update/blobs/inject b/script/update/blobs/inject
index 8eec544a..9d3d4678 100755
--- a/script/update/blobs/inject
+++ b/script/update/blobs/inject
@@ -6,6 +6,7 @@
# SPDX-License-Identifier: GPL-3.0-only
. "include/err.sh"
+. "include/defconfig.sh"
sname=""
archive=""
@@ -179,12 +180,7 @@ patch_rom()
{
rom="${1}"
- no_config="printf \"No configs on target, %s\\n\" ${board} 1>&2; exit 1"
- for x in "${boarddir}"/config/*; do
- [ -f "${x}" ] && no_config=""
- done
- eval "${no_config}"
-
+ check_defconfig "${boarddir}" || exit 1
set -- "${boarddir}/config/"*
. "${1}" 2>/dev/null